<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        \App\Console\Commands\Subforums::class,
        \App\Console\Commands\Stats::class,
        \App\Console\Commands\Popular::class,
        \App\Console\Commands\Latest::class,
        \App\Console\Commands\Events::class
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('knockout:subforums')->everyMinute();
        $schedule->command('knockout:latest')->everyFiveMinutes();
        $schedule->command('knockout:popular')->everyFiveMinutes();
        $schedule->command('knockout:events')->everyFiveMinutes();
        $schedule->command('knockout:stats')->hourly();
    }
}
