@extends('default')

@section('title', 'Preferences')

@section('breadcrumb')
<a href="{{ route('index') }}">Home</a>
<a>></a>
<a href="{{ route('preferences') }}">Preferences</a>
@endsection

@section('content')
    <div class="row">Not actually working yet</div>
    <div class="row spacer"></div>
    <form method="post" action="{{ route('preferences.submit') }}">
        <div class="row page">
            <table class="preferences list" cellspacing="0" cellpadding="10" width="100%">
                <tbody>
                    <tr class="even">
                        <th colspan="2">Interface</th>
                    </tr>
                    <tr class="odd">
                        <td>Colour scheme</td>
                        <td class="right">
                            <select name="theme">
                                <option value="" selected="">Dark</option>
                                <option value="light">Light</option>
                                <option value="oldpunch">Oldpunch</option>
                                <option value="steam">Steam</option>
                                <option value="yotsuba">Yotsuba</option>
                            </select>
                        </td>
                    </tr>
                    <tr class="even">
                        <td>Show user avatars</td>
                        <td class="right">
                            <input name="avatars" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="odd">
                        <td>Show user backgrounds</td>
                        <td class="right">
                            <input name="backgrounds" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="even">
                        <td>Embed YouTube videos</td>
                        <td class="right">
                            <input name="embedYoutube" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="odd">
                        <td>Embed Rich media links</td>
                        <td class="right">
                            <input name="ograph" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="even">
                        <td>Maximum nested quote depth</td>
                        <td class="right">
                            <select name="quote_depth">
                                <option value="" selected="">4</option>
                                <option value="3">3</option>
                                <option value="2">2</option>
                                <option value="1">1</option>
                            </select>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row spacer"></div>
        <div class="row page">
            <table class="preferences list" cellspacing="0" cellpadding="10" width="100%">
                <tbody>
                    <tr class="even">
                        <th colspan="2">Compatibility</th>
                    </tr>
                    <tr class="odd">
                        <td>Proxy and compress media</td>
                        <td class="right">
                            <input name="compression" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="even">
                        <td>Media compression level</td>
                        <td class="right">
                            <select name="compression_level">
                                <option value="" selected="">Low</option>
                                <option value="1">Medium</option>
                                <option value="2">High</option>
                                <option value="3">Extreme</option>
                            </select>
                        </td>
                    </tr>
                    <tr class="odd">
                        <td>Force an encrypted connection</td>
                        <td class="right">
                            <input name="encryption" type="checkbox" value="1">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row spacer"></div>
        <div class="row page">
            <table class="preferences list" cellspacing="0" cellpadding="10" width="100%">
                <tbody>
                    <tr class="even">
                        <th colspan="2">Oddities</th>
                    </tr>
                    <tr class="odd">
                        <td>Enable page transitions (Internet Explorer Only)</td>
                        <td class="right">
                            <input name="transitions" type="checkbox" value="1">
                        </td>
                    </tr>
                    <tr class="even">
                        <td colspan="2" class="right">
                            <input type="submit" value="Save">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </form>
@endsection

@section('scripts')
    <link rel='stylesheet' type='text/css' href='/css/page/preferences.css'/>
@endsection
